dataevaluation[datalist_, name_, unit_] := 
    (dist = EstimatedDistribution[datalist, NormalDistribution[\[Mu], 
        \[Sigma]]]; mu = dist[[1]]; sigma = dist[[2]]; pdfs = PDF[dist, x]; 
     ylable = StringJoin["Prpabilitydensity/(", unit, 
       "\!\(\*SuperscriptBox[\()\), \(-1\)]\)"]; 
     xlable = StringJoin[name, "/(", unit, ")"]; 
     Print[Show[{Histogram[datalist, Automatic, "PDF", 
         Frame -> {True, True, True, True}, FrameLabel -> 
          {Style[xlable, 16], Style[ylable, 16]}], 
        Plot[pdfs, {x, Min[datalist], Max[datalist]}]}]]; 
     string = StringJoin["The best estimate of ", ToString[name], " is ", 
       ToString[mu], " ", unit, " "]; Print["The best estimate of", name, 
      "is ", mu, " and its associated uncertainty is ", sigma, " (", 
      (sigma/mu)*100, " %)."]; Return[string])
